# PetscPolymorphicSubroutine

allows defining a C++ polymorphic version of a PETSc function that remove certain optional arguments for a simplier user interface Not collective

### Synopsis

    PetscPolymorphicSubroutine(Functionname,(arguments of C++ function),(arguments of C function))

### Example

PetscPolymorphicSubroutine(VecNorm,(Vec x,PetscReal *r),(x,NORM_2,r)) generates the new routine PetscErrorCode VecNorm(Vec x,PetscReal *r) = VecNorm(x,NORM_2,r)

### See Also

PetscPolymorphicFunction()

Level:developer
Location: include/petsc.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages